> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Payroll Items

> Creates a named payroll reporting group and marks the selected vesting, lockup and warrant items approved into it.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/approve-payroll-items
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/approve-payroll-items:
    post:
      operationId: approvePayrollItems
      summary: Approve Payroll Items
      description: >-
        Creates a named payroll reporting group and marks the selected vesting,
        lockup and warrant items approved into it.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApprovePayrollItemsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovePayrollItemsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ApprovePayrollItemsRequest:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              itemType:
                type: string
                enum:
                  - VESTING
                  - LOCKUP
                  - WARRANT_LOCKUP
            required:
              - id
              - itemType
          minItems: 1
        groupName:
          type: string
          minLength: 1
      required:
        - items
        - groupName
    ApprovePayrollItemsResponse:
      type: object
      properties:
        success:
          type: boolean
        groupCount:
          type: integer
        itemCount:
          type: integer
      required:
        - success
        - groupCount
        - itemCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
